
Application: gvSIG desktop - gvSIG bugs #2412
WFS layer is not loaded from the Catalog service
03/03/2014 01:34 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Daniel Martinez
Category: Catalog
Target version: 2.3.0-2414 (rev. org.gvsig.desktop-2.0.120)
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2220 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

- We connect to http://gvsig-training.com:8080/geonetwork/srv/en/csw (CSW/ISO 19115) 
- We look for "Andalucia" 
- We go to the metadata "Administrative borders of Andalucia." (it happens with other results too). 
- We select "Add layer" and "Feature" (the WFS).

The layer is loaded at the TOC but it's not shown.

I attach the log file with the error. It worked in gvSIG 1.11.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 3957: WFS la... Outdated 12/23/2015

Associated revisions
Revision 4440 - 12/17/2015 08:50 AM - Daniel Martinez

refs #3893 #2412 Corrected constructor when casting URI to String

Revision 145 - 12/23/2015 12:37 PM - Daniel Martinez

refs #2412 WFS layers are loaded succesfully. Errors are found when using Iso19139_119Record because some mandatory fields to get the layer are
not sent in the XML by the server.

History
#1 - 03/03/2014 02:16 PM - Álvaro Anguix
- Description updated
- Target version set to 2.2.0-2311-rc2

#2 - 03/05/2014 09:15 AM - Álvaro Anguix
- Category set to Catalog

#3 - 01/28/2015 12:05 PM - Álvaro Anguix
- Target version deleted (2.2.0-2311-rc2)
#4 - 03/04/2015 10:44 AM - Álvaro Anguix
- Target version set to 2.2.0-2311-rc2
- Assignee set to José Badía

#5 - 03/11/2015 09:53 AM - José Badía
- File Pantallazo.png added

I got an error trying to connect to the url given at the description: http://gvsig-training.com:8080/geonetwork/srv/en/csw
Am I doing something wrong?

#6 - 03/12/2015 10:21 AM - José Badía
- Status changed from New to Awaiting response

#7 - 03/13/2015 09:34 AM - Mario Carrera
- Status changed from Awaiting response to New

The server wasn't working. It has been restarted and now it's working again.

#8 - 04/29/2015 05:23 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2310

#9 - 04/29/2015 06:04 PM - Joaquín  del Cerro Murciano
- Assignee changed from José Badía to Cesar Martinez Izquierdo

#10 - 05/05/2015 04:15 PM - Joaquín  del Cerro Murciano
- Assignee changed from Cesar Martinez Izquierdo to José Badía

05/16/2024 2/3

http://gvsig-training.com:8080/geonetwork/srv/en/csw


#11 - 05/13/2015 03:42 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2310 to 2.2.0-2311-rc2

#12 - 05/25/2015 10:16 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#13 - 06/29/2015 08:38 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 98

#14 - 10/26/2015 06:00 PM - Álvaro Anguix
- Assignee deleted (José Badía)

#15 - 12/16/2015 01:32 PM - Álvaro Anguix
- Assignee set to Daniel Martinez

#16 - 12/23/2015 12:49 PM - Daniel Martinez
- Related to gvSIG feature requests #3957: WFS layers in catalog using Iso19139_119Record should get layers name from host added

#17 - 12/23/2015 12:49 PM - Daniel Martinez
- Status changed from New to Fixed

WFS layers are loaded succesfully. Errors are found when using Iso19139_119Record because some mandatory fields to get the layer are not sent in
the XML by the server. They have been changed to empty strings to avoid nulls and further errors because them.

#18 - 12/29/2015 08:12 PM - Joaquín  del Cerro Murciano
- Target version changed from 98 to 2.3.0-2414 (rev. org.gvsig.desktop-2.0.120)

#19 - 01/15/2016 02:29 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG_error_Catalogo.log 428 KB 03/03/2014 Mario Carrera
Pantallazo.png 71.9 KB 03/11/2015 José Badía
